Loading...
Searching...
No Matches
GuidewireSim.CollisionDetectionPrimitive Class Reference
Inheritance diagram for GuidewireSim.CollisionDetectionPrimitive:

## Public Attributes

int | sphereID

## Private Member Functions

void | Awake ()
void | Start ()
void | AssignSphereID ()
void | OnCollisionEnter (Collision other)
void | OnCollisionStay (Collision other)

## Private Attributes

SimulationLoop | simulationLoop
| The SimulationLoop component in the Simulation GameObject. More...
CollisionHandler | collisionHandler
| The CollisionHandler component in the Simulation GameObject. More...

## Detailed Description

This class is responsible for tracking collisions of the object it is attached to. Attach this component only to sphere objects of the guidewire.

## Member Function Documentation

## AssignSphereID()

void GuidewireSim.CollisionDetectionPrimitive.AssignSphereID | ( |  | ) |

private

Assigns the unique ID of the object sphere it is attached to to sphereID.

## Awake()

void GuidewireSim.CollisionDetectionPrimitive.Awake | ( |  | ) |

private

## OnCollisionEnter()

void GuidewireSim.CollisionDetectionPrimitive.OnCollisionEnter | ( | Collision | other | ) |

private

Registers a collision that Unity's collision detection detected.

## OnCollisionStay()

void GuidewireSim.CollisionDetectionPrimitive.OnCollisionStay | ( | Collision | other | ) |

private

Registers a collision that Unity's collision detection detected.

## Start()

void GuidewireSim.CollisionDetectionPrimitive.Start | ( |  | ) |

private

## Member Data Documentation

## collisionHandler

CollisionHandler GuidewireSim.CollisionDetectionPrimitive.collisionHandler

private

The CollisionHandler component in the Simulation GameObject.

## simulationLoop

SimulationLoop GuidewireSim.CollisionDetectionPrimitive.simulationLoop

private

The SimulationLoop component in the Simulation GameObject.

## sphereID

int GuidewireSim.CollisionDetectionPrimitive.sphereID

The unique ID of the sphere that this component is attached to. Matches the position in `spheres` in #SimulationLoop.

Note
  Should also match the position in `spherePositions`, `sphereVelocities`, `sphereExternalForces`, `spherePositionPredictions` in #SimulationLoop.

The documentation for this class was generated from the following file:

- CollisionDetectionPrimitive.cs